<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon May 31 12:39:56 CEST 2021 -->
<title>Node</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-05-31">
<meta name="description" content="declaration: package: app.exercise.adt, class: Node">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">app.exercise.adt</a></div>
<h1 title="Class Node" class="title">Class Node&lt;T&gt;</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">app.exercise.adt.Node&lt;T&gt;</div>
</div>
<section class="description">
<dl class="notes">
<dt>Type Parameters:</dt>
<dd><code>T</code> - Der Inhalts-Type des Baumes</dd>
</dl>
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>app.exercise.visualtree.DrawableTreeElement&lt;T&gt;</code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Node&lt;T&gt;</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>
implements app.exercise.visualtree.DrawableTreeElement&lt;T&gt;</span></div>
<div class="block">Klasse um Knoten eines Baumes zu erstellen</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>private <a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#left">left</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Objektvariable linker Kind-Knoten</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><span class="member-name-link"><a href="#parent">parent</a></span></code></div>
<div class="col-last odd-row-color">
<div class="block">Objektvariable Eltern-Knoten</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#red">red</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Objektvariable ob der Knoten rot ist</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><span class="member-name-link"><a href="#right">right</a></span></code></div>
<div class="col-last odd-row-color">
<div class="block">Objektvariable rechter Kind-Knoten</div>
</div>
<div class="col-first even-row-color"><code>private <a href="Node.html" title="type parameter in Node">T</a></code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#val">val</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Objektvariable des Wertes des Knotens</div>
</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><span class="member-name-link"><a href="#%3Cinit%3E(T,app.exercise.adt.Node)">Node</a></span>&#8203;(<a href="Node.html" title="type parameter in Node">T</a>&nbsp;val,
 <a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;parent)</code></div>
<div class="col-last even-row-color">
<div class="block">Konstrutor eines Knotens</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getLeft()">getLeft</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Getter Funktion fürs linke Kind</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getParent()">getParent</a></span>()</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion gibt die Referenz auf den Parent-Knoten</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getRight()">getRight</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Getter Funktion fürs rechte Kind</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><a href="Node.html" title="type parameter in Node">T</a></code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getValue()">getValue</a></span>()</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Getter Funktion für den Wert des Knotens</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#isRed()">isRed</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Auskunft ob der Knoten rot ist oder nicht</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#setLeft(app.exercise.adt.Node)">setLeft</a></span>&#8203;(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Setter Funktion fürs linke Kind</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#setParent(app.exercise.adt.Node)">setParent</a></span>&#8203;(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Setter Funktion um den Parent-Knoten festzulegen</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#setRight(app.exercise.adt.Node)">setRight</a></span>&#8203;(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Setter Funktion fürs rechte Kind</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#setVal(T)">setVal</a></span>&#8203;(<a href="Node.html" title="type parameter in Node">T</a>&nbsp;val)</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Setter Funktion fürs setzen des Wertes</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="red">
<h3>red</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">red</span></div>
<div class="block">Objektvariable ob der Knoten rot ist</div>
</section>
</li>
<li>
<section class="detail" id="val">
<h3>val</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Node.html" title="type parameter in Node">T</a></span>&nbsp;<span class="element-name">val</span></div>
<div class="block">Objektvariable des Wertes des Knotens</div>
</section>
</li>
<li>
<section class="detail" id="right">
<h3>right</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">right</span></div>
<div class="block">Objektvariable rechter Kind-Knoten</div>
</section>
</li>
<li>
<section class="detail" id="left">
<h3>left</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">left</span></div>
<div class="block">Objektvariable linker Kind-Knoten</div>
</section>
</li>
<li>
<section class="detail" id="parent">
<h3>parent</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">parent</span></div>
<div class="block">Objektvariable Eltern-Knoten</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(T,app.exercise.adt.Node)">
<h3 id="&lt;init&gt;(java.lang.Object,app.exercise.adt.Node)">Node</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Node</span>&#8203;<span class="parameters">(<a href="Node.html" title="type parameter in Node">T</a>&nbsp;val,
 <a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;parent)</span></div>
<div class="block">Konstrutor eines Knotens</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>val</code> - Der Wert des Knotens</dd>
<dd><code>parent</code> - Woran der Knoten gehängt werden soll</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getLeft()">
<h3>getLeft</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">getLeft</span>()</div>
<div class="block">Getter Funktion fürs linke Kind</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>getLeft</code>&nbsp;in interface&nbsp;<code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></dd>
<dt>Returns:</dt>
<dd>Der linke Kinder-Knoten</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getRight()">
<h3>getRight</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">getRight</span>()</div>
<div class="block">Getter Funktion fürs rechte Kind</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>getRight</code>&nbsp;in interface&nbsp;<code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></dd>
<dt>Returns:</dt>
<dd>Der rechte Kinder-Knoten</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setRight(app.exercise.adt.Node)">
<h3>setRight</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setRight</span>&#8203;<span class="parameters">(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</span></div>
<div class="block">Setter Funktion fürs rechte Kind</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>node</code> - Der Knoten, der das Kind werden soll</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setLeft(app.exercise.adt.Node)">
<h3>setLeft</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setLeft</span>&#8203;<span class="parameters">(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</span></div>
<div class="block">Setter Funktion fürs linke Kind</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>node</code> - Der Knoten, der das Kind werden soll</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setVal(T)">
<h3 id="setVal(java.lang.Object)">setVal</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setVal</span>&#8203;<span class="parameters">(<a href="Node.html" title="type parameter in Node">T</a>&nbsp;val)</span></div>
<div class="block">Setter Funktion fürs setzen des Wertes</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>val</code> - Der Wert</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setParent(app.exercise.adt.Node)">
<h3>setParent</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setParent</span>&#8203;<span class="parameters">(<a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;&nbsp;node)</span></div>
<div class="block">Setter Funktion um den Parent-Knoten festzulegen</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>node</code> - Der Parent-Knoten</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isRed()">
<h3>isRed</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isRed</span>()</div>
<div class="block">Auskunft ob der Knoten rot ist oder nicht</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>isRed</code>&nbsp;in interface&nbsp;<code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></dd>
<dt>Returns:</dt>
<dd>Boolean Wert über die Aussage</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getValue()">
<h3>getValue</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Node.html" title="type parameter in Node">T</a></span>&nbsp;<span class="element-name">getValue</span>()</div>
<div class="block">Getter Funktion für den Wert des Knotens</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>getValue</code>&nbsp;in interface&nbsp;<code>app.exercise.visualtree.DrawableTreeElement&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</code></dd>
<dt>Returns:</dt>
<dd>Wert des Knotens</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getParent()">
<h3>getParent</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="Node.html" title="type parameter in Node">T</a>&gt;</span>&nbsp;<span class="element-name">getParent</span>()</div>
<div class="block">Die Funktion gibt die Referenz auf den Parent-Knoten</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Parent-Knoten</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
